{$(SRCDIR)}.cpp{$(INTDIR)}.obj:
	@type caption.txt
	$(AT)$(CPP) /c @<<
$(CPPFLAGS) $(DEFINES)
$<
<<

{$(SRCDIR)}.asm{$(INTDIR)}.obj:
	$(AT)$(AS) /c @<<
$(ASFLAGS) $(DEFINES)
$<
<<

{$(SRCDIR_VC)}.cpp{$(INTDIR)}.obj:
	@type caption.txt
	$(AT)$(CPP) /c @<<
$(CPPFLAGS) $(DEFINES)
$<
<<

{$(SRCDIR_VC)}.asm{$(INTDIR)}.obj:
	$(AT)$(AS) /c @<<
$(ASFLAGS) $(DEFINES)
$<
<<

{$(SRCDIR_WIN32)}.cpp{$(INTDIR)}.obj:
	@type caption.txt
	$(AT)$(CPP) /c @<<
$(CPPFLAGS) $(DEFINES)
$<
<<

{$(SRCDIR_WIN32)}.asm{$(INTDIR)}.obj:
	$(AT)$(AS) /c @<<
$(ASFLAGS) $(DEFINES)
$<
<<

{$(RESDIR)}.rc{$(INTDIR)}.res:
	$(AT)$(RC) $(RFLAGS) $(DEFINES) -fo $@ $<



show_flags :
	@echo Build starts at %DATE% %TIME%% 
	@type <<

Flags
-------------------------------------------------------------------------------
CPPFLAGS=$(CPPFLAGS)
LINKFLAGS=$(LINKFLAGS)
LIBFLAGS=$(LIBFLAGS)
RFLAGS=$(RFLAGS)
INTDIR=$(INTDIR)
BINDIR=$(BINDIR)
LIBDIR=$(LIBDIR)
-------------------------------------------------------------------------------

<<


makedir :
!IFDEF BINDIR
	@if not exist "$(BINDIR)" echo Making (BINDIR): "$(BINDIR)"
	@if not exist "$(BINDIR)" mkdir "$(BINDIR)"
!ENDIF
	@if not exist "$(INTDIR)" echo Making (INTDIR): "$(INTDIR)"
	@if not exist "$(INTDIR)" mkdir "$(INTDIR)"
	@if not exist "$(LIBDIR)" echo Making (LIBDIR): "$(LIBDIR)"
	@if not exist "$(LIBDIR)" mkdir "$(LIBDIR)"
	@if not exist "$(LISTING_DIR)" echo Making (LISTING): "$(LISTING_DIR)"
	@if not exist "$(LISTING_DIR)" mkdir "$(LISTING_DIR)"

all : show_flags makedir #$(TARGET)
	@echo Rule: all
	@echo Done! (%DATE% %TIME%%)
	
clean :
	$(AT)del /S /F /Q $(INTDIR)
	$(AT)del /F /Q $(TARGET)
	@echo Done! (%DATE% %TIME%%)
