#tool flags

!IF "$(CONFIG)" == "Debug"

CRT_SUFFIX = d

!ELSEIF "$(CONFIG)" == "Release"

CRT_SUFFIX =

!ELSE

!	ERROR Unsupported configuration $(CONFIG)

!ENDIF

!IF "$(LINKAGE)" == "Static"

!	IF "$(THREADING)" == "ST"

CRT = /ML$(CRT_SUFFIX)

!	ELSEIF "$(THREADING)" == "MT"

CRT = /MT$(CRT_SUFFIX)

!	ELSE

!		ERROR Unsupported threading model $(THREADING)

!	ENDIF

!ELSEIF "$(LINKAGE)" == "Dynamic"

CRT = /MD$(CRT_SUFFIX)

!ELSE

!	ERROR Unsupported linkage $(LINKAGE)

!ENDIF

!IF "$(CONFIG)" == "Debug"

CPP_OPT = /Od /DDEBUG /D_DEBUG

LINK_OPT = /pdb:"$(INTDIR)\$(BASENAME).pdb" /debug 

RES_OPT =

!ELSE

CPP_OPT = /O1 /FAcs /Fa"$(LISTING_DIR)/" /DNDEBUG /D_NDEBUG

AS_OPT = /Fl"$(LISTING_DIR)/"

LINK_OPT = /map:"$(LISTING_DIR)\$(BASENAME).map" /opt:ref /opt:noicf /release /mapinfo:lines /mapinfo:exports

RES_OPT =

!ENDIF

CPPFLAGS = /nologo $(INCLUDES) /X $(CRT) /W4 $(CPP_OPT) /Fo"$(INTDIR)/" /Fd"$(INTDIR)/" 

ASFLAGS = /nologo /coff /W3 $(AS_OPT) /Fo"$(INTDIR)/"

LINKFLAGS = /nologo /base:"0x77C10000" /entry:"PrivateDllMain" /subsystem:windows /machine:I386 /dll /nodefaultlib /opt:nowin98 $(LINK_OPT) /def:"$(RESDIR)\vc_win32.def" $(LIBS)

LIBFLAGS = /nologo

RFLAGS = $(RES_OPT) $(INCLUDES)


AT = @
CPP = cl
LINK = link
LIB	= lib
AS = ml

