/* /////////////////////////////////////////////////////////////////////////////
 * File:        direct.c
 *
 * Purpose:     
 *
 * Created      10th July 2003
 * Updated:     8th December 2003
 *
 * Copyright:   cruntiny.org, (c) 2003. All rights reserved.
 *
 * Home:        www.cruntiny.org
 *
 * ////////////////////////////////////////////////////////////////////////// */


#include "cstdiotiny_internal.h"

/* ////////////////////////////////////////////////////////////////////////// */

int __CSTDIOTINY_CRTCALL chdir(char const *dir)
{
	return SetCurrentDirectoryA(dir) ? 0 : (cruntiny_set_errno_from_Win32(GetLastError()), -1);
}

char *__CSTDIOTINY_CRTCALL getcwd(char *buffer, int max_len)
{
	return GetCurrentDirectoryA(max_len, buffer) ? buffer : (cruntiny_set_errno_from_Win32(GetLastError()), NULL);
}

int __CSTDIOTINY_CRTCALL mkdir(char const *dir)
{
	return -1;
}

int __CSTDIOTINY_CRTCALL rmdir(char const *dir)
{
	return -1;
}

/* ////////////////////////////////////////////////////////////////////////// */
