/* /////////////////////////////////////////////////////////////////////////////
 * File:        string.c
 *
 * Purpose:     
 *
 * Created      10th July 2003
 * Updated:     8th December 2003
 *
 * Copyright:   cruntiny.org, (c) 2003. All rights reserved.
 *
 * Home:        www.cruntiny.org
 *
 * ////////////////////////////////////////////////////////////////////////// */


#include "cstdiotiny_internal.h"
#include "cstdiotiny_string.h"

/* ////////////////////////////////////////////////////////////////////////// */

void *  __CSTDIOTINY_CRTCALL memchr(void const *p, int c, size_t n)
{
	_byte_t const *begin;
	_byte_t const *end;
	for(begin = (_byte_t const *)p, end = begin + n; begin != end; ++begin)
	{
		if(*begin == c)
		{
			return (void*)begin;
		}
	}

	return NULL;
}

/* ////////////////////////////////////////////////////////////////////////// */

#include "synesis.h"

#if _MSC_VER < 1300
# include "synesis/memset.c"
#endif /* _MSC_VER < 1300 */

#if _MSC_VER < 1300
# include "synesis/strcat.c"
#endif /* _MSC_VER < 1300 */
//#include "synesis/strcch.c"
#define	__SYNSOFT_STRCHR_NO_RETURN_TYPE_OVERLOAD
#include "synesis/strchr.c"
//#include "synesis/strcmp.c"
//#include "synesis/strcpy.c"
//#include "synesis/stricmp.c"
#if _MSC_VER < 1300
//# include "synesis/strlen.c"
#endif /* _MSC_VER < 1300 */
#include "synesis/strlwr.c"
#include "synesis/strncat.c"
#define	__SYNSOFT_STRNCMP_NO_RETURN_TYPE_OVERLOAD
#include "synesis/strncmp.c"
#if _MSC_VER < 1300
# include "synesis/strncpy.c"
#endif /* _MSC_VER < 1300 */
//#include "synesis/strnicmp.c"
//#include "synesis/strnlen.c"
#define __SYNSOFT_STRPBRK_NO_RETURN_TYPE_OVERLOAD
#include "synesis/strpbrk.c"
#define __SYNSOFT_STRRCHR_NO_RETURN_TYPE_OVERLOAD
#include "synesis/strrchr.c"
//#include "synesis/strrpbrk.c"
#include "synesis/strstr.c"
#include "synesis/strupr.c"

/* ////////////////////////////////////////////////////////////////////////// */

